import { EnvironmentSheetHelper } from "./environnement.js";
import { RdDItemSheet } from "./item-sheet.js";

export class RdDIngredientItemSheet extends RdDItemSheet {

  static get ITEM_TYPE() { return "ingredient" };

  static get defaultOptions() {
    return EnvironmentSheetHelper.defaultOptions(super.defaultOptions);
  }

  setPosition(options = {}) {
    return EnvironmentSheetHelper.setPosition(this, super.setPosition(options));
  }

  async getData() {
    const formData = await super.getData();
    return await EnvironmentSheetHelper.getData(this, formData);
  }

  activateListeners(html) {
    super.activateListeners(html);
    EnvironmentSheetHelper.activateListeners(this);
  }
}
